import { SvelteComponentTyped } from "svelte";
import type { Writable } from 'svelte/store';
import type { FocusBlock } from './types';
declare const __propDef: {
    props: {
        /** Set the Highlight.js language used for syntax highlighting. */ language?: string | undefined;
        /** Provide the code as a string. */ code?: string | undefined;
        /** Provide lines that should be highlighted. Ranges are accepted, e.g.: '1-5, 8, 10-12, 42'. */ highlightLines?: string | undefined;
        /** Set focus type. */ focusType?: "blur" | "highlight" | undefined;
        /** Show header. */ showHeader?: boolean | undefined;
        /** Set header text. Is the same as the language by default. */ headerText?: string | undefined;
        /** Show line numbers. */ showLineNumbers?: boolean | undefined;
        /** Focus blocks. */ focusBlocks?: FocusBlock[] | undefined;
        /** Show focus buttons. */ showFocusButtons?: boolean | undefined;
        /** Provide store that states which focus block index should be active. */ activeFocusBlockStore?: Writable<number> | null | undefined;
        /** Provide classes to set the background color. */ background?: string | undefined;
        /** Provide classes to set the header style (background / text-color / etc). */ headerClasses?: string | undefined;
        /** Provide classes for the focus buttons. */ focusButtonClasses?: string | undefined;
        /** Provide classes to set the code text style (size and color). */ codeTextClasses?: string | undefined;
        /** Provide classes to style the default line number text. */ lineNumberTextClasses?: string | undefined;
        /** Provide classes to set the border radius. */ rounded?: string | undefined;
        /** Provide classes to set dimensions of the code block. */ dimensions?: string | undefined;
        /** Provide classes to set highlight color. */ highlightColor?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type CodeBlockProps = typeof __propDef.props;
export type CodeBlockEvents = typeof __propDef.events;
export type CodeBlockSlots = typeof __propDef.slots;
export default class CodeBlock extends SvelteComponentTyped<CodeBlockProps, CodeBlockEvents, CodeBlockSlots> {
}
export {};
